# Facility Groups (Core)

Facility groups combine one or multiple facilities into logical groups.

## List facility groups

> Get all facility groups with pagination.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroups":{"properties":{"facilityGroups":{"description":"Array of facility groups","items":{"$ref":"#/components/schemas/FacilityGroup"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"number"}},"title":"FacilityGroups","type":"object","description":"FacilityGroups"},"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups":{"get":{"deprecated":false,"description":"Get all facility groups with pagination.","operationId":"getAllFacilityGroups","parameters":[{"in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"in":"query","name":"tenantFacilityGroupId","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroups"}}},"description":"The facility groups that were found based on the given filters."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List facility groups","tags":["Facility Groups (Core)"]}}}}
```

## Create facility group

> Creates a new facility group.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroupForCreation":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized"],"title":"FacilityGroupForCreation","type":"object","description":"FacilityGroupForCreation"},"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups":{"post":{"deprecated":false,"description":"Creates a new facility group.","operationId":"addFacilityGroup","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroupForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroup"}}},"description":"The facility group was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Create facility group","tags":["Facility Groups (Core)"]}}}}
```

## Get facility group

> Get facility group by id.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups/{facilityGroupId}":{"get":{"deprecated":false,"description":"Get facility group by id.","operationId":"getFacilityGroup","parameters":[{"in":"path","name":"facilityGroupId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroup"}}},"description":"Facility group was found. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get facility group","tags":["Facility Groups (Core)"]}}}}
```

## Delete facility group

> Delete facility group by id.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups/{facilityGroupId}":{"delete":{"deprecated":false,"description":"Delete facility group by id.","operationId":"deleteFacilityGroup","parameters":[{"in":"path","name":"facilityGroupId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Facility group was found and deleted."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Delete facility group","tags":["Facility Groups (Core)"]}}}}
```

## Update facility group

> Replace facility group by id. All updatable fields will be replaced with the values from the request. Fields that are not included in the request will be removed from the entity.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroupForUpdate":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","type":"number"}},"required":["version"],"title":"FacilityGroupForUpdate","type":"object","description":"FacilityGroupForUpdate"},"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups/{facilityGroupId}":{"patch":{"deprecated":false,"description":"Replace facility group by id. All updatable fields will be replaced with the values from the request. Fields that are not included in the request will be removed from the entity.","operationId":"replaceFacilityGroup","parameters":[{"in":"path","name":"facilityGroupId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroupForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroup"}}},"description":"Facility group was replaced. The replaced facility group is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Update facility group","tags":["Facility Groups (Core)"]}}}}
```

## Call facility group action

> Perform action on a facility group. Supported actions are defined in the request body.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups/{facilityGroupId}/actions":{"post":{"deprecated":false,"description":"Perform action on a facility group. Supported actions are defined in the request body.","operationId":"facilityGroupAction","parameters":[{"in":"path","name":"facilityGroupId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroup"}}},"description":"Updated facility group in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"Call facility group action","tags":["Facility Groups (Core)"]}}}}
```

## List facility groups (search)

> Search for FacilityGroup

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Facility groups combine one or multiple facilities into logical groups.","name":"Facility Groups (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"FacilityGroupSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"$ref":"#/components/schemas/SearchOptions"},"query":{"$ref":"#/components/schemas/FacilityGroupSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/FacilityGroupSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"FacilityGroupSearchPayload","type":"object","description":"FacilityGroupSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"FacilityGroupSearchQuery":{"properties":{"and":{"items":{"$ref":"#/components/schemas/FacilityGroupSearchQuery"},"maxItems":500,"type":"array"},"facilityRefs":{"allOf":[{"$ref":"#/components/schemas/StringListFilter"}],"description":"Search by facilityRefs"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"name":{"allOf":[{"$ref":"#/components/schemas/LocalizedStringSearchFilter"}],"description":"Search by name"},"or":{"items":{"$ref":"#/components/schemas/FacilityGroupSearchQuery"},"maxItems":500,"type":"array"},"tenantFacilityGroupId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantFacilityGroupId"}},"title":"FacilityGroupSearchQuery","type":"object","description":"FacilityGroupSearchQuery"},"StringListFilter":{"properties":{"contains":{"$ref":"#/components/schemas/StringEqFilter"}},"title":"StringListFilter","type":"object","description":"StringListFilter"},"StringEqFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"}},"title":"StringEqFilter","type":"object","description":"StringEqFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"LocalizedStringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"maxLength":256,"type":"string"},"notIn":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"LocalizedStringSearchFilter","type":"object","description":"LocalizedStringSearchFilter"},"FacilityGroupSort":{"properties":{"name":{"enum":["ASC","DESC"],"type":"string"}},"title":"FacilityGroupSort","type":"object","description":"FacilityGroupSort"},"FacilityGroupPaginatedResult":{"properties":{"facilityGroups":{"items":{"$ref":"#/components/schemas/FacilityGroup"},"type":"array"},"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","facilityGroups"],"title":"FacilityGroupPaginatedResult","type":"object","description":"FacilityGroupPaginatedResult"},"FacilityGroup":{"properties":{"nameLocalized":{"additionalProperties":{"type":"string"},"description":"The localized name","type":"object"},"created":{"description":"Creation timestamp","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the facility group. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","nullable":true,"type":"object"},"facilityRefs":{"description":"Array of facility references belonging to this group","items":{"type":"string"},"maxItems":1000,"type":"array","uniqueItems":true},"id":{"description":"The facility group ID","type":"string"},"lastModified":{"description":"Last modified timestamp","format":"date-time","type":"string"},"name":{"description":"The name of the facility group","type":"string"},"tenantFacilityGroupId":{"description":"The id of the facility group in the tenants own system","type":"string"},"version":{"description":"Document version for optimistic locking","type":"number"}},"required":["tenantFacilityGroupId","facilityRefs","nameLocalized","id","version","created","lastModified"],"title":"FacilityGroup","type":"object","description":"FacilityGroup"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/facilitygroups/search":{"post":{"deprecated":false,"description":"Search for FacilityGroup","operationId":"searchFacilityGroup","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroupSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacilityGroupPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this"}},"summary":"List facility groups (search)","tags":["Facility Groups (Core)"]}}}}
```
